Class | DRb::DRbArray
In: | drb/drb.rb
Parent: | Object

### Methods

_dump _load new

### Public Class methods

_load(s)

[Source]

    # File drb/drb.rb, line 527
        def self._load(s)
          Marshal::load(s)
        end

new(ary)

[Source]

    # File drb/drb.rb, line 512
        def initialize(ary)
          @ary = ary.collect { |obj|
            if obj.kind_of? DRbUndumped
              DRbObject.new(obj)
            else
              begin
                Marshal.dump(obj)
                obj
              rescue
                DRbObject.new(obj)
              end
            end
          }
        end

### Public Instance methods

_dump(lv)

[Source]

    # File drb/drb.rb, line 531
        def _dump(lv)
          Marshal.dump(@ary)
        end

[Validate]